> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smsmanager.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List accounts



## OpenAPI

````yaml /openapi/en/waba_rest/waba_restapi_v1.yaml post /whatsapp/accounts/list
openapi: 3.1.0
info:
  title: WhatsApp Business Partner API (REST API)
  description: |
    API for onboarding and managing WhatsApp Business accounts.
  version: v1
  contact:
    url: https://smsmanager.com
    email: cc@smsmanager.com
servers:
  - url: https://rest-api.smsmngr.com/v1
    description: Responds with your request data
security: []
paths:
  /whatsapp/accounts/list:
    post:
      tags:
        - WhatsApp Business Partner API
      summary: List accounts
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                waba_id:
                  type: string
                  example: ''
                  description: WABA ID to list phone numbers for.
      responses:
        '200':
          description: List of accounts
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Success status.
                    example: true
                  accounts:
                    type: array
                    description: List of accounts.
                    items:
                      type: object
                      properties:
                        client_id:
                          type: string
                          description: Client ID from signup process.
                        whatsapp_name:
                          type: string
                          description: WhatsApp display/business name.
                        whatsapp_id:
                          type: string
                          description: WhatsApp ID (WABA ID)
                        whatsapp_currency:
                          type: string
                          description: WhatsApp currency (USD, EUR, GBP, etc.).
                        whatsapp_owner_name:
                          type: string
                          description: >-
                            WhatsApp owner name (usually the name of the
                            business).
                        whatsapp_owner_id:
                          type: string
                          description: >-
                            WhatsApp owner ID (usually the ID of the Meta
                            Business Account).
                        country:
                          type: string
                          description: Country in ISO alpha-2 format.

````